Create a privacy request | DataGrail Documentation

Create a privacy request

POST https://www.example.com/api/v1/privacy_requests

Request

Header Parameters

authorization stringrequired

Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9

Body

privacy_right stringrequired

access, access_categories, or deletion

Example: access

identifiers objectrequired

JSON object that contains values used to identify personal data. Supports an array with a single email

Example:{"emails":["guinevere@camelotknights.com"]}

custom object

JSON object containing any custom data associated with the privacy request. Values can be strings, numbers, arrays, booleans, or null.

{

"privacy_right": "access",

"identifiers": {

"emails": [

"guinevere@camelotknights.com"

]

},

"custom": {}

}

Responses

Privacy Request created

Schema

custom object

Example:{"first_name":"Queen","last_name":"Guinevere","country":"Britain","app_id":"holy_grail_app","origin":"iOS"}

identifiers object

The email of the data subject

Example:{"email":["guinevere@camelotknights.com"]}

privacy_right string

The type of request that was made.

Example: deletion

status string

The status of the request.

Example: open

id string

The unique identifier of the request.

Example: 967e34da-4863-4fcf-842d-176dd102d032

{

"custom": {

"first_name": "Queen",

"last_name": "Guinevere",

"country": "Britain",

"app_id": "holy_grail_app",

"origin": "iOS"

},

"identifiers": {

"email": [

"guinevere@camelotknights.com"

]

},

"privacy_right": "deletion",

"status": "open",

"id": "967e34da-4863-4fcf-842d-176dd102d032"

}

Invalid Request

curl -L 'https://www.example.com/api/v1/privacy_requests' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
  "privacy_right": "access",
  "identifiers": {
    "emails": [
      "guinevere@camelotknights.com"
    ]
  },
  "custom": {}
}'

Base URL

https://www.example.com

Parameters

authorization — headerrequired

Body

{
  "privacy_right": "access",
  "identifiers": {
    "emails": [
      "guinevere@camelotknights.com"
    ]
  },
  "custom": {}
}

Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.